package net.knarcraft.placeholdersigns.container;

import org.bukkit.Location;
import org.bukkit.block.sign.Side;
import org.jetbrains.annotations.NotNull;

import java.util.Map;

/**
 * A sign containing one or more placeholders
 *
 * @param location     <p>The location of the sign</p>
 * @param placeholders <p>The original placeholders typed on the sign</p>
 */
public record PlaceholderSign(@NotNull Location location, @NotNull Map<Side, Map<Integer, String>> placeholders) {

}
